# Generated by Django 3.1.7 on 2021-03-31 20:14

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('interscitybus', '0004_lineedge'),
    ]

    operations = [
        migrations.CreateModel(
            name='PointDistance',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('trip_id', models.CharField(max_length=50)),
                ('kind', models.CharField(choices=[('exc', 'exc'), ('mid', 'mid')], max_length=10)),
                ('distance', models.FloatField()),
                ('point_proj_x_coord', models.FloatField()),
                ('point_proj_y_coord', models.FloatField()),
                ('point_x_coord', models.FloatField()),
                ('point_y_coord', models.FloatField()),
                ('lat', models.FloatField()),
                ('lon', models.FloatField()),
                ('graph', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='interscitybus.graph')),
            ],
        ),
    ]
